Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDecorationPlugin Class Reference

The QDecorationPlugin class provides an abstract base for custom QDecoration plugins. More...

    #include <QDecorationPlugin>

Inherits QObject.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QDecorationPlugin ( QObject * parent = 0 )
- ~QDecorationPlugin ()
- virtual QDecoration * create ( const QString & key ) = 0
- virtual QStringList keys () const = 0

- 24 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 4 static public members inherited from QObject

### Protected Functions

- 9 protected functions inherited from QObject

## Detailed Description

The QDecorationPlugin class provides an abstract base for custom QDecoration plugins.

The decoration plugin is a simple plugin interface that makes it easy to create custom decorations that can be loaded dynamically into applications with a QDecorationFactory.

Writing a decoration plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the `Q_EXPORT_PLUGIN` macro. See the plugins documentation for an example.

## Member Function Documentation

### QDecorationPlugin::QDecorationPlugin ( QObject * parent = 0 )

Constructs a decoration plugin with parent parent. This is invoked automatically by the `Q_EXPORT_PLUGIN` macro.

### QDecorationPlugin::~QDecorationPlugin ()

Destroys the decoration plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QDecoration * QDecorationPlugin::create ( const QString & key ) `[pure virtual]`

Creates and returns a QDecoration object for the decoration key key. The decoration key is usually the class name of the required decoration.

Reimplemented from QDecorationFactoryInterface.

See also keys().

### QStringList QDecorationPlugin::keys () const `[pure virtual]`

Returns the list of decoration keys this plugin supports.

These keys are usually the class names of the custom decoration that are implemented in the plugin.

Reimplemented from QFactoryInterface.

See also create().